Subject: Re: [mobile-ip] A threat RR doesn't solve and that doesn't seem t o exist in IPv4

From: Erik Nordmark <[email-masked]>
Date: Thu, 24 Jan 2002 18:00:04 +0100 (CET)

> "The attack is certainly feasible without compromising a router"?  As
> I said earlier, attacker must not only generate fake RR messaging to
> CN but it must also block true RR messages from CN to reach true HA.

The "block" aspects may or may not be needed.
For instance, in BU3WAY it is not needed; a MN receiving a BUC that has not
sent a BUR will silently ignore the BUC. I think this is necessary to avoid
DoS issues where an attacker sends spoofed BUC messages, potentially with
a spoofed source address, in order to use create state on the MN.
But I haven't thought about this in detail - but the point is that it
might not be as trivial as it looks at first sight.
 
But I'm not convinced the difference matters. Somebody that is on-path,
whether connected to a multi-access link using ARP/ND or physically
in a router or switch, is capable of sending and receiving packets as
well as blocking packets from being forwarded.
A possible case when this would not be the case is when the attacker has a 
passive leak/bleed (of the copper or optical wire) for receive and uses
a completely different interface to transmit packets.

   Erik

---

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Thu, 24 Jan 2002 17:58:35 +0100

=> Yes. But please note, this is applicable to the cases
where the HA does not participate in RR. 

Hesham